Modify

Opened 7 years ago

Closed 7 years ago

#8982 closed defect (invalid)

JOSM Print Plugin Crashes JOSM

Reported by: amrit.im@… Owned by: anonymous
Priority: critical Milestone:
Component: Plugin print Version:
Keywords: Print Cc:

Description

On using the print. JOSM keeps on opening several windows telling that the plugin does not work. It tells that it requires version 6154. I am using 6115 latest stable, and the unstable version is 6152.

Attachments (0)

Change History (6)

comment:1 Changed 7 years ago by skyper

Please, tell us you system info and plugin version. Easiest way to do so, is pasting the block from main menu "Help" -> Status Report -> "Report Bug" button on the bottom.

Looks like the versions got mixed up. You could try to download a previous plugin version manually from OSM-svn.

comment:2 Changed 7 years ago by skyper

Component: PluginPlugin print
Priority: majorcritical
Version: latest

comment:3 Changed 7 years ago by amrit.im@…

Owner: changed from team to anonymous
Repository Root: http://josm.openstreetmap.de/svn
Build-Date: 2013-08-07 01:35:24
Last Changed Author: Don-vip
Revision: 6115
Repository UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
URL: http://josm.openstreetmap.de/svn/trunk
Last Changed Date: 2013-08-07 00:04:24 +0200 (Wed, 07 Aug 2013)
Last Changed Rev: 6115

Identification: JOSM/1.5 (6115 en) Windows 7 32-Bit
Memory Usage: 176 MB / 494 MB (62 MB allocated, but free)
Java version: 1.7.0_25, Oracle Corporation, Java HotSpot(TM) Client VM
VM arguments: [-Xms16m, -Xmx512m]
Dataset consistency test: No problems found

Plugin: DirectDownload (29776)
Plugin: DirectUpload (29778)
Plugin: HouseNumberTaggingTool (29778)
Plugin: PicLayer (29809)
Plugin: buildings_tools (29778)
Plugin: ext_tools (29435)
Plugin: geotools (29767)
Plugin: jts (29613)
Plugin: log4j (29435)
Plugin: measurement (29750)
Plugin: merge-overlap (29778)
Plugin: mirrored_download (29753)
Plugin: notes (0.3)
Plugin: opendata (29771)
Plugin: pbf (29708)
Plugin: print
Plugin: proj4j (29435)
Plugin: public_transport (29784)
Plugin: reverter (29771)
Plugin: tagging-preset-tester (29774)
Plugin: terracer (29771)
Plugin: turnlanes (29435)
Plugin: turnrestrictions (29435)
Plugin: undelete (29555)
Plugin: utilsplugin2 (29771)
Plugin: waydownloader (29771)
Plugin: wayselector (29771)
Plugin: wikipedia (29778)

comment:4 in reply to:  1 Changed 7 years ago by amrit.im@…

Replying to skyper:

Please, tell us you system info and plugin version. Easiest way to do so, is pasting the block from main menu "Help" -> Status Report -> "Report Bug" button on the bottom.

Looks like the versions got mixed up. You could try to download a previous plugin version manually from OSM-svn.

I have kept backup of an older version, but this issues has persisted in last few versions. I'd like to fix it. Is it being maintained?

comment:5 Changed 7 years ago by rickmastfan67

You just have to wait till the new "latest" version of JOSM is built later today (~14 hours from now). Till then, you can't run the new version of the "print" plugin that had some fixes done today in the older versions.

There was a reason the "min" version of JOSM that the plugin can work in was bumped up from r5670 to r6154. See #8980.

I recommend marking this ticket as invalid.

Last edited 7 years ago by rickmastfan67 (previous) (diff)

comment:6 Changed 7 years ago by Don-vip

Resolution: invalid
Status: newclosed

There's a good reason why I set the minimal version to 6154. Maybe because the new version requires it ? Please do not create tickets if you force plugin upgrade with incompatible versions.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain anonymous.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.